unit uIEditorInformeFacturasProveedorReport;

interface

uses
  FactuGES_Intf, uIEditorInformeBase;

type
  IEditorInformeFacturasProveedorReport = interface(IEditorInformeBase)
  ['{0E60C309-336C-455D-825B-7E4892A6CBC5}']
    function GetFechaFin: Variant;
    function GetFechaInicio: Variant;
    function GetFechaVenFin: Variant;
    function GetFechaVenInicio: Variant;
    function GetListaIDProveedores: TIntegerArray;
    function GetDesglosadoProveedor: Boolean;
    function GetImporteMinimo: Currency;
    property FechaInicio: Variant read GetFechaInicio;
    property FechaFin: Variant read GetFechaFin;
    property FechaVenInicio: Variant read GetFechaVenInicio;
    property FechaVenFin: Variant read GetFechaVenFin;
    property ListaIDProveedores: TIntegerArray read GetListaIDProveedores;
    property DesglosadoProveedor: Boolean read GetDesglosadoProveedor;
    property ImporteMinimo: Currency read getImporteMinimo;
  end;


implementation

end.
